Subject: bug#9875: 24.0.90; Confusing description of the "window tree" in ELisp manual

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Oct 2011 10:17:18 -0400

> This node starts fine, by describing window-frame and window-list.
> Then it begins to describe the "window tree", and that's where things
> go wrong.  The main problem is that the non-leaf nodes of the window
> tree are referred to as "windows", which makes it all too easy to
> confuse them with the leafs of the window tree, each one of which

I think the first step is to choose a single name for those, and then
use it systematically.  I think we should simply call "window" the
traditional "real" "live" "leaf" windows that display a buffer.  As for
the other ones, we could go for "internal window", but I think "parent
window" is better, tho maybe someone has a better idea ("compound
window", "super window", ... ?)

        Stefan